System Packages Included in the Node.js Runtime

This page lists the Ubuntu packages included in the Node.js runtime in the App Engine standard environment.

Requesting a package

You can request packages to be added to the runtime. Before requesting a package, check for existing requests of the package in the issue tracker. If there are no existing requests, explain your use case in a new issue.

Included packages

The following Ubuntu packages are included in the runtime:

  • ffmpeg
  • flvmeta
  • fontconfig
  • fonts-ipafont-gothic
  • fonts-kacst
  • fonts-liberation
  • fonts-thai-tlwg
  • fonts-wqy-zenhei
  • gconf-service
  • geoip-database
  • git
  • imagemagick
  • jq
  • libappindicator1
  • libasound2
  • libatk1.0-0
  • libatlas3-base
  • libblas3
  • libbz2-1.0
  • libc6
  • libcairo2
  • libcups2
  • libcurl4-openssl-dev
  • libdb5.3
  • libdbus-1-3
  • libenchant1c2a
  • libexpat1
  • libffi6
  • libfftw3-double3
  • libflac8
  • libfontconfig1
  • libfontenc1
  • libfreetype6
  • libgcc1
  • libgconf-2-4
  • libgcrypt20
  • libgd3
  • libgdbm5
  • libgdk-pixbuf2.0-0
  • libgdk-pixbuf2.0-common
  • libglib2.0-0
  • libgmp10
  • libgmpxx4ldbl
  • libgoogle-perftools4
  • libgraphite2-3
  • libgs9
  • libgs9-common
  • libgtk-3-0
  • libhashkit2
  • libicu60
  • libjbig0
  • libjbig2dec0
  • libjpeg-turbo8
  • libjpeg8
  • liblapack3
  • libldap-2.4-2
  • liblzma5
  • libmagickcore-6.q16-3
  • libmagickcore-6.q16-3-extra
  • libmagickwand-6.q16-3
  • libmemcached11
  • libmemcachedutil2
  • libmpc3
  • libmpdec2
  • libncursesw5
  • libnetpbm10
  • libnspr4
  • libnss3
  • libpango-1.0-0
  • libpangocairo-1.0-0
  • libpng16-16
  • libpq5
  • libprotoc10
  • librabbitmq4
  • librdkafka1
  • libreadline7
  • librsvg2-2
  • librsvg2-common
  • libsasl2-2
  • libsasl2-modules
  • libsasl2-modules-db
  • libsqlite3-0
  • libssl1.0.0
  • libtidy5
  • libtiff5
  • libtiffxx5
  • libuuid1
  • libvpx5
  • libwebp6
  • libx11-6
  • libx11-xcb1
  • libxcb1
  • libxcomposite1
  • libxcursor1
  • libxdamage1
  • libxext6
  • libxfixes3
  • libxi6
  • libxml2
  • libxrandr2
  • libxrender1
  • libxslt1.1
  • libxss1
  • libxtst6
  • libyaml-0-2
  • libzip4
  • locales
  • lsb-release
  • mime-support
  • netpbm
  • python3-chardet
  • ttf-freefont
  • tzdata
  • wget
  • xdg-utils
Was this page helpful? Let us know how we did:

Send feedback about...

App Engine standard environment for Node.js docs